Bug 1676642 - [Modularity, discovery] - Showing empty discovery repo for repo url containing module streams
Summary: [Modularity, discovery] - Showing empty discovery repo for repo url containin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.5.0
Hardware: All
OS: All
unspecified
low vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-12 18:15 UTC by Omkar Khatavkar
Modified: 2019-10-07 17:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)
Empty_recods_for_discovery_repo (103.19 KB, image/png)
2019-02-12 18:15 UTC, Omkar Khatavkar
no flags Details
Repo_Discovery_Passed (52.33 KB, image/png)
2019-03-25 13:26 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:16 UTC

Description Omkar Khatavkar 2019-02-12 18:15:09 UTC
Created attachment 1534190 [details]
Empty_recods_for_discovery_repo

Description of problem:
Showing empty discovery repo for repo url containing module streams

Version-Release number of selected component (if applicable):
Satellite 6.5 Snap 13

How reproducible:
always

Steps to Reproduce:
1. Navigate to Discovery 
2. Try to create discovery for repo url has the module streams 
e.g. https://partha.fedorapeople.org/test-repos/rpm-with-modules/29/, https://partha.fedorapeople.org/test-repos/rpm-with-modules/e18/
3. 

Actual results:
Url is accepted and showing blank record 

Expected results:
Records shown should not be empty, if not supported give an error message  

Additional info:
expected result not sure in this case but it does not make sense to show blank record.

Comment 3 Brad Buckingham 2019-03-11 20:56:52 UTC
Hi Omkar,

I was testing this scenario out with the fix being introduced for bug 1685437.

With that PR checked out, I am not seeing the same behavior.

Doing a discovery with 'https://partha.fedorapeople.org/test-repos/rpm-with-modules/29/', locates a repository at /.

Doing a discovery with ' https://partha.fedorapeople.org/test-repos/rpm-with-modules/', locates 3 repositories at /f28/, /f29/ and /el8/.

I was then able to create product/repo and sync the repository.

If you have that PR still checked out, mind taking a quick look and let me know if you see the same and if we should keep this one open for tracking?

Thanks!

Comment 4 Omkar Khatavkar 2019-03-12 12:04:16 UTC
Hi Brad,

Just tested this https://github.com/Katello/katello/pull/7998. It has been resolved by showing '/' for an absoulte path and with relative url can see multiple repos. This is likely to fix this issue.

Comment 5 Omkar Khatavkar 2019-03-13 03:24:22 UTC
Brad,

We should keep this as open as this issue was raised against the Satellite 6.5 Downstream. The fix is available on upstream, we can verify this or close it once available on the downstream build. This will be good for tracking and ensuring that the fix working in the downstream build. 

I would think, we should keep this for tracking.

Comment 6 Brad Buckingham 2019-03-21 16:59:44 UTC
The fix for bug 1685437 has been merged and is making it's way to an official build (i.e. currently ON_DEV).  I am going to move this one also to ON_DEV, so that it will go ON_QA for verification when the other bugzilla does.

Comment 7 Omkar Khatavkar 2019-03-25 13:26:48 UTC
Created attachment 1547701 [details]
Repo_Discovery_Passed

Verified in Satellite 6.5 with Snap 19. This is fixed and attached screenshot.

Comment 9 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.